%define name		jonas
%define version		4.1.2
%define release		1jpp_14rh
%define section		free

%define summary		JOnAS J2EE/EJB server
%define distribution	JPackage
%define vendor		JPackage Project

#	jonasrootdir	/usr/share/jonas
%define jonasrootdir	%{_datadir}/%{name}
#	confdir		/etc/jonas
%define confdir		%{_sysconfdir}/%{name}
#	logsdir		/var/log/jonas
%define logsdir		%{_localstatedir}/log/%{name}
#	syslibdir	/var/lib
%define syslibdir	%{_localstatedir}/lib
%define appsdir		%{syslibdir}/%{name}/apps
%define webappsdir	%{syslibdir}/%{name}/webapps
%define ejbjarsdir	%{syslibdir}/%{name}/ejbjars
%define clientsdir	%{syslibdir}/%{name}/clients
%define rarsdir		%{syslibdir}/%{name}/rars
%define libdir		%{syslibdir}/%{name}/lib
%define demodir		%{syslibdir}/%{name}/demoserver
%define eclipsedir	%{syslibdir}/%{name}/eclipseserver
#	workdir		/var/cache/jonas/work
%define workdir		%{_localstatedir}/cache/%{name}/work

Summary:        %{summary}
Name:           %{name}
Version:        %{version}
Release:        %{release}
Epoch:          0
License:        LGPL
Group:          Internet/WWW/Servers
#Vendor:         %{vendor}
#Distribution:   %{distribution}
URL:            http://jonas.objectweb.org/
BuildArch:      noarch

# Source files

# The pristine tar ball from ObjectWeb
Source0:        %{name}-%{version}-src.tgz
# Explains how to start the JOnAS server installed by this RPM
Source1:	JONAS.README.RPM

# Red Hat specific sources (init scripts, log rotation etc.)
# (may work on other SysV-style distros)

# A web application version of the JOnAS User Guide
# (DocBook formatted manual)
Source2: jonas-doc-en-%{version}.war

# An init script for the default JOnAS server (the one that runs
# the jonasAdmin application) and corresponding config properties
Source3: jonas.init 
Source4: rhdb-jonas.init 
Source5: jonas.sysconfig
Source6: rhdb-jonas.sysconfig

# Log rotation configuration for this default JOnAS service
Source7: jonas.logrotate
Source8: rhdb-jonas.logrotate

# Patch to adjust a standard jonasbase configuration to allow
# its use by Eclipse developers for debugging
Source9: jonas-4.1-eclipse.patch

# RH Graphics
Source10: JonasAdmin-RHAPS.jpg
Source11: Welcome-RHAPS.jpg

# Patches

# Local modifications to JOnAS proper
# Backfix for JmsServer command
Patch0: jonas-%{version}.patch

# Adjust the path to the jar files that are loaded at startup time
# as with jpackages we use the system installed version of some of them
# and not the ones that come in the JOnAS source tar ball.
Patch2: jonas-4.1-classloader.patch

# As the tomcat package has been split and now jasper and servlet are in
# their own packages (jasper 5 and servletapi5), we need to add them to
# some of the build classpath tags in the Ant clientbuild script.
# We also have to adjust some classpaths so that the jpackage installed
# jar files are used, and not the ones that are normally distributed with JOnAS
Patch3: jonas-4.1-buildscripts.patch

# Patch the webservices build scripts so they use the installed AXIS
Patch4: jonas-4.1-webservicescripts.patch

# Red Hat specific patches

# Setup PostgreSQL as the default data source jdbc_1
Patch6: jonas-4.1-properties.patch

# Customize strings
Patch7: jonas-4.1-jadmin.patch
# Customize graphics
Patch8: jonas-4.1-ctxroot.patch


BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

#
# Build dependencies
# --------------------------------------------------------------------

# J2EE APIs (mainly under Sun Binary License)
BuildRequires:	ejb = 0:2.1
# FIXME: JOnAS ships with a different version of the jms.jar
#BuildRequires:	jms >= 0:1.1
BuildRequires:	jta >= 0:1.0.1
# FIXME We should use a mx4j jpackage
# We are now using a mx4j bundled with JOnAS (2.0.1)
#BuildRequires:	mx4j >= 0:2.0.1
# We use the jarfile with all providers for building
BuildRequires:	javamail-monolithic = 1:1.3.1
BuildRequires:  jaf >= 1:1.0.2

# Servlet 2.4 (From Apache Tomcat 5)
BuildRequires:	servletapi5
	
# Jakarta Commons
BuildRequires:  jakarta-commons-beanutils >= 0:1.6.1
BuildRequires:	jakarta-commons-collections >= 0:2.1
BuildRequires:	jakarta-commons-discovery >= 0:
BuildRequires:  jakarta-commons-digester >= 0:1.5
BuildRequires:	jakarta-commons-logging >= 0:1.0.3
BuildRequires:	jakarta-commons-modeler >= 0:1.1

# Other Jakarta libs
BuildRequires:	struts = 0:1.1
# FIXME we want 1.2 (but it is still beta)
#BuildRequires:	axis >= 0:1.1
BuildRequires:	tomcat5 >= 0:4.1.29
BuildRequires:	tomcat5-admin-webapps
BuildRequires:	tomcat5-webapps
BuildRequires:	ant >= 0:1.6.1
BuildRequires:	ant-jakarta-bcel = 0:1.6.1
BuildRequires:	ant-nodeps >= 0:1.6.1
BuildRequires:	xerces-j2 >= 0:2.6.2

# Objectweb components
# FIXME we still don't have a jonathan package!!!
#BuildRequires:	jonathan >= 0:3.1

# Miscellaneous
BuildRequires:  jasper5
BuildRequires:  jpackage-utils >= 0:1.5.24
BuildRequires:	javagroups >= 0:2.0.6
BuildRequires:  servletapi5
BuildRequires:	wsdl4j >= 0:1.4

# Java
BuildRequires:	java >= 0:1.4.1
BuildRequires:	java-devel >= 0:1.4.1

# --------------------------------------------------------------------
# End Build dependencies
#

#
# Execution dependencies
# --------------------------------------------------------------------

# J2EE APIs (mainly under Sun Binary License)
Requires:	ejb = 0:2.1
# FIXME: JOnAS ships with a different version of the jms.jar
#Requires:	jms >= 0:1.1
Requires:	jta >= 0:1.0.1
# FIXME We should use a mx4j jpackage
# We are now using a mx4j bundled with JOnAS (2.0.1)
#Requires:	mx4j = 0:2.0.1
Requires:	javamail = 1:1.3.1
Requires:	jaf >= 1:1.0.2

# Servlet 2.4 (From Apache Tomcat 5)
Requires:	servletapi5
	
# Jakarta Commons
Requires:  	jakarta-commons-beanutils >= 0:1.6.1
Requires:	jakarta-commons-collections >= 0:2.1
Requires:	jakarta-commons-discovery >= 0:
Requires:  	jakarta-commons-digester >= 0:1.5
Requires:	jakarta-commons-logging >= 0:1.0.3
Requires:	jakarta-commons-modeler >= 0:1.1
Requires:	xml-commons-apis >= 0:1.0

# Other Jakarta libs
Requires:	struts = 0:1.1
# FIXME we want 1.2 (but it is still beta)
#Requires:	axis >= 0:1.1
# We've got all we need at build time
#Requires:	tomcat5 >= 0:4.1.29
Requires:	ant >= 0:1.6.1
Requires:	bcel >= 0:5.1
Requires:	xerces-j2 >= 0:2.6.2
Requires:	xalan-j2 >= 0:2.6.0

# Objectweb components
# FIXME we still don't have a jonathan package!!!
#Requires:	jonathan >= 0:3.1

# Miscellaneous
Requires:       jasper5
Requires:  	jpackage-utils >= 0:1.5.24
Requires:	javagroups >= 0:2.0.6
Requires:       servletapi5
Requires:	wsdl4j

# Java
Requires:	java >= 0:1.4.1
Requires:	java-devel >= 0:1.4.1

# For Red Hat only
Requires: rh-postgresql >= 7.3.4
Requires: rh-postgresql-server >= 7.3.4
Requires: rh-postgresql-jdbc >= 7.3.4

Requires: /usr/sbin/useradd, /usr/sbin/groupadd, /sbin/chkconfig

# To make it a complete J2EE AppServer
Requires: jonas-client = %{version}

# --------------------------------------------------------------------
# End Execution dependencies
#

%description
The jonas package contains ObjectWeb's J2EE implementation.
Install this package if you wish to run a Java enterprise
web application server.  It includes its own copy of Apache
Tomcat and web-based administration interfaces.

%package -n jonas-client
Summary: JOnAS files necessary for running rich clients
Group: Applications/Internet
Obsoletes: jonas-jars

%description -n jonas-client
The jonas-client package contains, among other things, a big jar file,
client.jar, and a shell script jclient.sh that make possible to run
"rich" clients. Install this on a machine that does not have the jonas
server to be able to run this type of applications remotely.

%package -n jonas-docs
Summary: JOnAS (and Tomcat) documentation
Group: Applications/Internet
# FIXME only the war version needs jonas
Requires: jonas = %{version}

%description -n jonas-docs
The jonas-docs package contains both html and web-based versions
of the JOnAS User Guide and web-based documentation for tomcat.

%package -n jonas-examples
Summary: JOnAS example applications
Group: Applications/Internet
Requires: jonas = %{version}

%description -n jonas-examples
The jonas-examples package contains example web applications.

# -----------------------------------------------------------------------------

# -----------------------------------------
# RPM Build preparation (1)
# -----------------------------------------
%prep

# Clean existing builds
rm -rf  $RPM_BUILD_DIR/%{name}*

%setup -q -c %{name} -n %{name}

# Apply patches needed for building
# ------------------------------------------

# patch jonas
%patch0
# patch the jonas classloader class
%patch2
# patch the jonas Ant build scripts
%patch3
# patch the webservices build scripts
# FIXME We can't use the installed AXIS yet as we need 1.2
#%patch4

# Red Hat specific
# patch data source configuration for jdbc_1
%patch6
# patch jonasAdmin
%patch7
# patch Welcome page
%patch8

# Red Hat specific
# Replace jonasAdmin graphics
cp %{SOURCE10} src/org/objectweb/jonas/webapp/jonasadmin/web/images/logo/JonasAdmin.jpg
# Replace Welcome page graphics
cp %{SOURCE11} src/org/objectweb/jonas/webapp/ctxroot/default/JonasAdmin.jpg

# Red Hat specific
# Replace OW doc files with Red Hat version of the JOnAS User Guide
cp %{SOURCE2} doc/jonas-doc-en.war

# Link preparation (dependencies)
# Includes all jars already existing as rpms
# ------------------------------------------

# javagroups
pushd $RPM_BUILD_DIR/%{name}/externals/carol/javagroups
	find . -name "*.jar" -exec rm -f {} \;
	build-jar-repository . javagroups
popd

# J2EE apis
pushd $RPM_BUILD_DIR/%{name}/externals/j2ee/activation
	find . -name "*.jar" -exec rm -f {} \;
	build-jar-repository . activation
popd
pushd $RPM_BUILD_DIR/%{name}/externals/j2ee/ejb
	find . -name "*.jar" -exec rm -f {} \;
	build-jar-repository . ejb
popd
# FIXME: JOnAS ships with a different version of the jms.jar
#pushd $RPM_BUILD_DIR/%{name}/externals/j2ee/jms
#	find . -name "*.jar" -exec rm -f {} \;
#	build-jar-repository . jms
#popd
pushd $RPM_BUILD_DIR/%{name}/externals/j2ee/jta
	find . -name "*.jar" -exec rm -f {} \;
	build-jar-repository . jta
popd
# FIXME Must get the JTS package
#pushd $RPM_BUILD_DIR/%{name}/externals/j2ee/jts
#	find . -name "*.jar" -exec rm -f {} \;
#	build-jar-repository . jts
#popd
pushd $RPM_BUILD_DIR/%{name}/externals/j2ee/mail
	find . -name "*.jar" -exec rm -f {} \;
	build-jar-repository . javamail/imap javamail/mailapi javamail/pop3 javamail/smtp
popd
pushd $RPM_BUILD_DIR/%{name}/externals/j2ee/servlet
	find . -name "*.jar" -exec rm -f {} \;
	build-jar-repository . servletapi5
popd

# Jakarta libs
# -----------------------------------------------------------------
pushd $RPM_BUILD_DIR/%{name}/externals/jakarta/commons-beanutils
	find . -name "*.jar" -exec rm -f {} \;
	build-jar-repository . commons-beanutils
popd
pushd $RPM_BUILD_DIR/%{name}/externals/jakarta/commons-collections
	find . -name "*.jar" -exec rm -f {} \;
	build-jar-repository . commons-collections
popd
pushd $RPM_BUILD_DIR/%{name}/externals/jakarta/commons-digester
	find . -name "*.jar" -exec rm -f {} \;
	build-jar-repository . commons-digester
popd
pushd $RPM_BUILD_DIR/%{name}/externals/jakarta/commons-logging
	find . -name "*.jar" -exec rm -f {} \;
	build-jar-repository . commons-logging
popd
pushd $RPM_BUILD_DIR/%{name}/externals/jakarta/commons-modeler
	find . -name "*.jar" -exec rm -f {} \;
	build-jar-repository . commons-modeler
popd
# -----------------------------------------------------------------
#

# JMX
# ----------------------------------------------------

# We now use mx4j (bundled with JOnAS)
# FIXME: We should be using a mx4j jpackage
#pushd $RPM_BUILD_DIR/%{name}/externals/jmx
#	find . -name "*.jar" -not -name "jmxremote.jar" \
#               -exec rm -f {} \;
#	build-jar-repository . jmxri-1.2 jmxtools
#popd
# ----------------------------------------------------
#

# FIXME Someone is getting confused with the brackets in the war
#pushd $RPM_BUILD_DIR/%{name}/externals/struts
#	find . -name "*.jar" -exec rm -f {} \;
#	build-jar-repository . struts
#popd

# FIXME we still don't have a jonathan package!!!
pushd $RPM_BUILD_DIR/%{name}/externals/jonathan
	find . -name "*.jar" \
               -not -name "jonathan-core.jar" \
               -not -name "jeremie.jar" \
               -not -name "kilim.jar" \
               -exec rm -f {} \;
#	build-jar-repository . jonathan jeremie nanoxml-lite oldkilim
popd

# XML Libraries
# ------------------------------------------------------
pushd $RPM_BUILD_DIR/%{name}/externals/xml/xerces
	find . -name "*.jar" -exec rm -f {} \;
	build-jar-repository . xerces-j2
popd
pushd $RPM_BUILD_DIR/%{name}/externals/xml/xmlParser
	find . -name "*.jar" -exec rm -f {} \;
	build-jar-repository . xml-commons-apis
popd
# ------------------------------------------------------
#

# Web Services libraries
# ------------------------------------------------------
# FIXME we want 1.2 (but it is still beta) so we use the one in JOnAS
#pushd $RPM_BUILD_DIR/%{name}/externals/ws/axis
#	find . -name "*.jar" -exec rm -f {} \;
#	build-jar-repository . axis/axis axis/axis-ant axis/jaxrpc axis/saaj commons-discovery commons-logging
#popd
pushd $RPM_BUILD_DIR/%{name}/externals/ws/wsdl4j
	find . -name "*.jar" -exec rm -f {} \;
	build-jar-repository . wsdl4j
popd
# ------------------------------------------------------
#

# ------------------------------------------
# Build JOnAS from sources (no IIOP version)
# ------------------------------------------
%build

# Try to set a sensible jvm
unset JAVA_HOME
[ -z "$JAVA_HOME" ] && [ -r %{_sysconfdir}/java/java.conf ] && . %{_sysconfdir}/java/java.conf
[ -z "$JAVA_HOME" ] && JAVA_HOME=%{_jvmdir}/java
export PATH="$JAVA_HOME/bin:$PATH"
export JONAS_ROOT="../jonasroot"
export CATALINA_HOME="/usr/share/tomcat5"

# Build JOnAS
ant install_tomcat

# create a jonasbase for Eclipse development
pushd ../jonasroot/eclipseserver
patch -p0 < %{SOURCE9}
popd

# ------------------------------------------
# Install JOnAS
# ------------------------------------------
%install
rm -rf $RPM_BUILD_ROOT

# Copy JONAS.README.RPM
cp %{SOURCE1} .

# Create directories
# -----------------------------------------------------------------------------
# Create /usr/share/jonas
install -d -m 755  $RPM_BUILD_ROOT%{jonasrootdir}/{bin,examples,templates,xml}
# Create /var/log/jonas
install -d -m 755  $RPM_BUILD_ROOT%{logsdir}
# Create /etc/jonas
install -d -m 755  $RPM_BUILD_ROOT%{confdir}
# Create /var/cache/jonas/work
install -d -m 755  $RPM_BUILD_ROOT%{workdir}
# Create /var/lib/jonas
install -d -m 755  $RPM_BUILD_ROOT/{%{webappsdir},%{ejbjarsdir},%{clientsdir}}
install -d -m 755  $RPM_BUILD_ROOT/{%{rarsdir},%{_bindir},%{appsdir}}
install -d -m 755  $RPM_BUILD_ROOT%{libdir}
install -d -m 755  $RPM_BUILD_ROOT%{demodir}
install -d -m 755  $RPM_BUILD_ROOT%{eclipsedir}
# -----------------------------------------------------------------------

# place files into directories
cp -a ../jonasroot/conf/* $RPM_BUILD_ROOT%{confdir}
cp -a ../jonasroot/logs/README $RPM_BUILD_ROOT%{logsdir}
cp -a ../jonasroot/apps/* $RPM_BUILD_ROOT%{appsdir}
cp -a ../jonasroot/webapps/autoload $RPM_BUILD_ROOT%{webappsdir}
cp -a ../jonasroot/ejbjars/* $RPM_BUILD_ROOT%{ejbjarsdir}
cp -a ../jonasroot/clients/* $RPM_BUILD_ROOT%{clientsdir}
cp -a ../jonasroot/rars/* $RPM_BUILD_ROOT%{rarsdir}
cp -a ../jonasroot/demoserver/* $RPM_BUILD_ROOT%{demodir}
cp -a ../jonasroot/eclipseserver/* $RPM_BUILD_ROOT%{eclipsedir}

cp ../jonasroot/build.xml $RPM_BUILD_ROOT%{jonasrootdir}
cp ../jonasroot/{LicenceAgreement.txt,ReleaseNotes.txt} $RPM_BUILD_ROOT%{jonasrootdir}
cp -a ../jonasroot/bin/* $RPM_BUILD_ROOT%{jonasrootdir}/bin
cp -a ../jonasroot/examples/* $RPM_BUILD_ROOT%{jonasrootdir}/examples
cp -a ../jonasroot/templates/* $RPM_BUILD_ROOT%{jonasrootdir}/templates
cp -a ../jonasroot/xml/* $RPM_BUILD_ROOT%{jonasrootdir}/xml
cp -a ../jonasroot/lib/* $RPM_BUILD_ROOT%{libdir}

# Create symbolic links
ln -sf %{confdir} $RPM_BUILD_ROOT%{jonasrootdir}/conf
ln -sf %{logsdir} $RPM_BUILD_ROOT%{jonasrootdir}/logs
ln -sf %{appsdir} $RPM_BUILD_ROOT%{jonasrootdir}/apps
ln -sf %{webappsdir} $RPM_BUILD_ROOT%{jonasrootdir}/webapps
ln -sf %{ejbjarsdir} $RPM_BUILD_ROOT%{jonasrootdir}/ejbjars
ln -sf %{clientsdir} $RPM_BUILD_ROOT%{jonasrootdir}/clients
ln -sf %{rarsdir} $RPM_BUILD_ROOT%{jonasrootdir}/rars
ln -sf %{workdir} $RPM_BUILD_ROOT%{jonasrootdir}/work
ln -sf %{libdir} $RPM_BUILD_ROOT%{jonasrootdir}/lib

# Remove jars resolved from dependencies
# ------------------------------------------------
pushd $RPM_BUILD_ROOT%{libdir}/common/carol
	find . -name "*.jar" -not -name "ow_carol_*" \
			     -exec rm -f {} \;
popd

# Exclude some J2EE packages as we don't have RPMs for them yet
# FIXME: JOnAS ships with a different version of the jms.jar
pushd $RPM_BUILD_ROOT%{libdir}/common/j2ee
	find . -name "*.jar" -not -name "*connector*" \
			     -not -name "*jacc*" \
			     -not -name "*jts*" \
			     -not -name "*jms*" \
			     -not -name "*javax77*" \
			     -not -name "*jsp*" \
			     -exec rm -f {} \;
popd

pushd $RPM_BUILD_ROOT%{libdir}/common/jakarta
	find . -name "*.jar" -exec rm -f {} \;
popd

# FIXME We now use mx4j (bundled with JOnAS)
# We should be using a mx4j jpackage
#pushd $RPM_BUILD_ROOT%{libdir}/common/jmx
#	find . -name "*.jar" -not -name "jmxremote.jar" \
#               -exec rm -f {} \;
#popd

# FIXME We don't have a jonathan package yet
#pushd $RPM_BUILD_ROOT%{libdir}/common/jonathan
#	find . -name "*.jar" -exec rm -f {} \;
#popd

pushd $RPM_BUILD_ROOT%{libdir}/common/log
	find . -name "*.jar" -not -name "ow_util_log*" \
			     -exec rm -f {} \;
popd

# FIXME we want 1.2 (but it is still beta) so we use the one in JOnAS
#pushd $RPM_BUILD_ROOT%{libdir}/common/ws/axis
#	find . -name "*.jar" -exec rm -f {} \;
#popd

pushd $RPM_BUILD_ROOT%{libdir}/common/ws/wsdl4j
	find . -name "*.jar" -exec rm -f {} \;
popd

pushd $RPM_BUILD_ROOT%{libdir}/endorsed
	find . -name "*.jar" -exec rm -f {} \;
popd

# Try to set a sensible jvm
unset JAVA_HOME
[ -z "$JAVA_HOME" ] && [ -r %{_sysconfdir}/java/java.conf ] && . %{_sysconfdir}/java/java.conf
[ -z "$JAVA_HOME" ] && JAVA_HOME=%{_jvmdir}/java

# Manage RPM dependencies
# -------------------------------------------------------------
build-jar-repository $RPM_BUILD_ROOT%{libdir}/common/carol/javagroups 	javagroups

build-jar-repository $RPM_BUILD_ROOT%{libdir}/common/j2ee/activation	activation
build-jar-repository $RPM_BUILD_ROOT%{libdir}/common/j2ee/ejb		ejb
# FIXME: JOnAS ships with a different version of the jms.jar
#build-jar-repository $RPM_BUILD_ROOT%{libdir}/common/j2ee/jms		jms
build-jar-repository $RPM_BUILD_ROOT%{libdir}/common/j2ee/jta		jta
build-jar-repository $RPM_BUILD_ROOT%{libdir}/common/j2ee/mail		javamail/imap
build-jar-repository $RPM_BUILD_ROOT%{libdir}/common/j2ee/mail		javamail/mailapi
build-jar-repository $RPM_BUILD_ROOT%{libdir}/common/j2ee/mail		javamail/pop3
build-jar-repository $RPM_BUILD_ROOT%{libdir}/common/j2ee/mail		javamail/smtp

build-jar-repository $RPM_BUILD_ROOT%{libdir}/common/jakarta/commons-beanutils		commons-beanutils
build-jar-repository $RPM_BUILD_ROOT%{libdir}/common/jakarta/commons-collections	commons-collections
build-jar-repository $RPM_BUILD_ROOT%{libdir}/common/jakarta/commons-digester		commons-digester
build-jar-repository $RPM_BUILD_ROOT%{libdir}/common/jakarta/commons-logging		commons-logging
build-jar-repository $RPM_BUILD_ROOT%{libdir}/common/jakarta/commons-modeler		commons-modeler

# FIXME We now use mx4j (bundled with JOnAS)
# We should be using a mx4j jpackage
#build-jar-repository $RPM_BUILD_ROOT%{libdir}/common/jmx		jmxri-1.2
#build-jar-repository $RPM_BUILD_ROOT%{libdir}/common/jmx		jmxtools

# FIXME We still don't have a jonathan package
#build-jar-repository $RPM_BUILD_ROOT%{libdir}/common/jonathan		jonathan
#build-jar-repository $RPM_BUILD_ROOT%{libdir}/common/jonathan		nanoxml-lite
#build-jar-repository $RPM_BUILD_ROOT%{libdir}/common/jonathan		oldkilim

# FIXME we want 1.2 (but it is still beta) so we use the one in JOnAS
#build-jar-repository $RPM_BUILD_ROOT%{libdir}/common/ws/axis 		axis/axis axis/axis-ant
#build-jar-repository $RPM_BUILD_ROOT%{libdir}/common/ws/axis 		axis/jaxrpc axis/saaj
#build-jar-repository $RPM_BUILD_ROOT%{libdir}/common/ws/axis 		commons-discovery commons-logging 

build-jar-repository $RPM_BUILD_ROOT%{libdir}/common/ws/wsdl4j		wsdl4j

build-jar-repository $RPM_BUILD_ROOT%{libdir}/endorsed			xerces-j2
build-jar-repository $RPM_BUILD_ROOT%{libdir}/endorsed			xml-commons-apis
build-jar-repository $RPM_BUILD_ROOT%{libdir}/endorsed			xalan-j2
# -----------------------------------------------------------------------
# End links

# install jonas scripts in bin directory
ln -sf %{jonasrootdir}/bin/unix/jclient $RPM_BUILD_ROOT%{_bindir}/jclient
ln -sf %{jonasrootdir}/bin/unix/jonas $RPM_BUILD_ROOT%{_bindir}/jonas
ln -sf %{jonasrootdir}/bin/unix/newbean $RPM_BUILD_ROOT%{_bindir}/newbean
ln -sf %{jonasrootdir}/bin/unix/registry $RPM_BUILD_ROOT%{_bindir}/registry
ln -sf %{jonasrootdir}/bin/unix/RAConfig $RPM_BUILD_ROOT%{_bindir}/RAConfig
ln -sf %{jonasrootdir}/bin/unix/WsGen $RPM_BUILD_ROOT%{_bindir}/WsGen

#Red Hat specific  --  SysV init scripts and logrotate configuration
install -D -m 755 %{SOURCE3} $RPM_BUILD_ROOT/etc/rc.d/init.d/jonas
install -D -m 755 %{SOURCE4} $RPM_BUILD_ROOT/etc/rc.d/init.d/rhdb-jonas
install -D -m 744 %{SOURCE5} $RPM_BUILD_ROOT/etc/sysconfig/jonas
install -D -m 744 %{SOURCE6} $RPM_BUILD_ROOT/etc/sysconfig/rhdb-jonas
install -D -m 644 %{SOURCE7} $RPM_BUILD_ROOT/etc/logrotate.d/jonas
install -D -m 644 %{SOURCE8} $RPM_BUILD_ROOT/etc/logrotate.d/rhdb-jonas
# PostgreSQL Database (jdbc_1)
mkdir -p $RPM_BUILD_ROOT%{jonasrootdir}/pgsql
# Expand manual war and remove it
(cd doc; jar xf jonas-doc-en.war; rm jonas-doc-en.war; rm -fr WEB-INF; rm -fr META-INF; rm -fr CVS; rm README)

# -----------------------------------------------------------------------------


# ------------------------------
# Clean the build
# ------------------------------
%clean
rm -rf $RPM_BUILD_ROOT


# --------------------------------------
# Prepare the installation of JOnAS
# --------------------------------------
%pre

# Stop the service if it is running
# Do it here for update
if [ $1 = 2 ]; then
   service jonas stop >/dev/null 2>&1
   # clean return code in case the service was not running already
   ls >/dev/null
fi

%pre -n jonas-client

# Create a jonas group and account if needed
JONAS_SHELL=/bin/false
[ -x /sbin/nologin ] && JONAS_SHELL=/sbin/nologin
/usr/sbin/groupadd -r jonas 2>/dev/null || :
/usr/sbin/useradd -c Jonas -r -s $JONAS_SHELL -d %{jonasrootdir} -g jonas jonas 2>/dev/null || :

%pre -n jonas-examples

# Stop the service if it is running
# Do it here for update
   if [ $1 = 2 ]; then
   service rhdb-jonas stop >/dev/null 2>&1
   # clean return code in case the service was not running already
   ls >/dev/null
fi


# ----------------------------------------
# Prepare the uninstallation of JOnAS
# ----------------------------------------
%preun

# last uninstall (delete)
if [ $1 = 0 ]; then
   # Stop the service if it is running
   service jonas stop >/dev/null 2>&1

   /sbin/chkconfig --del jonas
fi

find %{webappsdir} -mindepth 1 -maxdepth 1 \
		   -name "*" \
		   -not -name "autoload" \
		   -not -name "*.war" \
		   -exec rm -fr {} \;

find %{appsdir} -mindepth 1 -maxdepth 1 \
		-name "*" \
		-not -name "autoload" \
		-not -name "README" \
		-not -name "*.ear" \
		-exec rm -fr {} \;

find %{rarsdir} -mindepth 1 -maxdepth 1 \
		-name "*" \
		-not -name "autoload" \
		-not -name "README" \
		-not -name "joram_for_jonas_ra.rar" \
		-not -name "speedo_for_jonas_ra.rar" \
		-not -name "*.ear" \
		-exec rm -fr {} \;

# Remove work files and expanded ones that may be incompatible
# with a new version.
find %{workdir} -mindepth 1 -maxdepth 1 \
		   -name "*" \
		   -exec rm -fr {} \;

%preun -n jonas-examples

# last uninstall (delete)
if [ $1 = 0 ]; then
    # Stop the service if it is running
    service rhdb-jonas stop >/dev/null 2>&1

   /sbin/chkconfig --del rhdb-jonas
fi


# ----------------------------------------
# Finish the installation of JOnAS
# ----------------------------------------
%post
# first install
if [ $1 = 1 ]; then
   /sbin/chkconfig --add jonas
fi

%post -n jonas-examples
DB=/usr/share/jonas/pgsql
# first install
if [ $1 = 1 ] && [ ! -d $DB/base ]; then
   LANG=C
   chown postgres:postgres $DB
   su postgres -s /bin/sh -c "/usr/bin/initdb -D $DB > /dev/null 2>&1"
   # allow localhost password access to this server instance
   echo >> $DB/pg_hba.conf
   echo '# added by jonas.spec' >> $DB/pg_hba.conf
   echo 'host all all 127.0.0.1 255.255.255.255 password' >> $DB/pg_hba.conf
   echo >> $DB/postgresql.conf
   echo '# added by jonas.spec' >> $DB/postgresql.conf
   echo 'tcpip_socket = true' >> $DB/postgresql.conf
   echo 'port = 5433' >> $DB/postgresql.conf
                                                                                
   # Match /var/lib/jonas/conf/PostgreSQL1.properties
   su postgres -s /bin/sh -c "/usr/bin/pg_ctl -D $DB -l /dev/null start"
   su postgres -s /bin/sh -c "/usr/bin/createdb -p 5433 db_jonas"
   su postgres -s /bin/sh -c "/usr/bin/psql -p 5433 -d db_jonas -c 'alter user postgres with password '\"'postgres'\"';'"
   su postgres -s /bin/sh -c "/usr/bin/psql -p 5433 -d db_jonas -c 'create user jonas with password '\"'jonas'\"';'"
   su postgres -s /bin/sh -c "/usr/bin/pg_ctl -D $DB -p 5433 stop"
fi

# first install
if [ $1 = 1 ]; then
   /sbin/chkconfig --add rhdb-jonas
fi

# ----------------------------------------
# Finish the installation of JOnAS
# ----------------------------------------
%postun
# We don't remove the pre-defined system users or groups
#if [ "$1" = 0 ]; then
#  # on erase
#  userdel jonas > /dev/null 2>&1 || :
#  groupdel jonas > /dev/null 2>&1 || :
#fi

# -----------------------------------------------------------------------------

%files
%defattr(644,root,root,755)
%doc JONAS.README.RPM
%doc doc/*

# < JOnAS Root files
# ---------------------
%defattr(0644,jonas,jonas,0755)
%dir %{jonasrootdir}
%{jonasrootdir}/LicenceAgreement.txt
%{jonasrootdir}/ReleaseNotes.txt
%{jonasrootdir}/build.xml
%dir %{jonasrootdir}/bin
%dir %{jonasrootdir}/bin/unix
%defattr(0755,jonas,jonas,0755)
%config %{jonasrootdir}/bin/unix/config_env
%{jonasrootdir}/bin/unix/GenIC
%{jonasrootdir}/bin/unix/JmsServer
%{jonasrootdir}/bin/unix/jonas
%{jonasrootdir}/bin/unix/newbean
%{jonasrootdir}/bin/unix/RAConfig
%{jonasrootdir}/bin/unix/registry
%{jonasrootdir}/bin/unix/WsGen
%defattr(0644,jonas,jonas,0755)
# FIXME should we remove the 'nt' directory
%dir %{jonasrootdir}/bin/nt
%{jonasrootdir}/bin/nt/*
%dir %{jonasrootdir}/xml
%{jonasrootdir}/xml/*
%dir %{jonasrootdir}/templates
%{jonasrootdir}/templates/*
%dir %{jonasrootdir}/logs
%dir %{jonasrootdir}/apps
# Defined in the client subpackage
#%dir %{jonasrootdir}/conf
#%dir %{jonasrootdir}/ejbjars
#%dir %{jonasrootdir}/lib
%dir %{jonasrootdir}/rars
%dir %{jonasrootdir}/webapps
%dir %{jonasrootdir}/work
# ---------------------
# JOnAS Root files >

# < Configuration files
# ---------------------
%dir %{confdir}
%config %{confdir}/a3debug.cfg
%config %{confdir}/a3servers.xml
%config %{confdir}/db2.properties
%config %{confdir}/FirebirdSQL.properties
%config %{confdir}/HSQL1.properties
%config %{confdir}/InstantDB1.properties
%config %{confdir}/InterBase1.properties
%config %{confdir}/java.policy
%config %{confdir}/jetty5.xml
%config %{confdir}/jk2.properties
%config %{confdir}/juddi.properties
%config %{confdir}/file1.properties
%config %{confdir}/jonas.properties
%config %{confdir}/jonas-realm.xml
%config %{confdir}/jonathan.xml
%config %{confdir}/joram-admin.cfg
%config %{confdir}/MailMimePartDS1.properties
%config %{confdir}/MailSession1.properties
%config %{confdir}/McKoi1.properties
%config %{confdir}/MySQL.properties
%config %{confdir}/Oracle1.properties
%config %{confdir}/PostgreSQL1.properties
%config %{confdir}/Sybase1.properties
%config %{confdir}/server.xml
%config %{confdir}/speedo.properties
%config %{confdir}/spy.properties
%config %{confdir}/trace.properties
%config %{confdir}/web.xml
%config %{confdir}/wrapper.conf

# Eclipse debug server configuration template
%dir %{eclipsedir}
%{eclipsedir}/

# Red Hat specific
%defattr(0655,root,root,0755)
/etc/rc.d/init.d/jonas
%defattr(0644,root,root,0755)
%config /etc/sysconfig/jonas
%config /etc/logrotate.d/jonas
# ---------------------
# Configuration files >

# < Cache files
# ---------------------
%defattr(0644,jonas,jonas,0755)
%dir %{workdir}
# ---------------------
# Cache files >

# < Log files
# ---------------------
%defattr(0644,jonas,jonas,0755)
%dir %{logsdir}
%doc %{logsdir}/README
# ---------------------
# Log files >

# < Libraries
# ---------------------
%defattr(0644,jonas,jonas,0755)
# Defined in the client subpackage as it is also needed on client systems
#%dir %{libdir}
%{libdir}/web_catalina_commons.jar
%{libdir}/web_catalina_server.jar
%{libdir}/webservices_axis.jar
%dir %{libdir}/common
%{libdir}/common/ow_jonas_ant.jar
%{libdir}/common/ow_jonas_axis.jar
%{libdir}/common/ow_jonas_bootstrap.jar
%{libdir}/common/ow_jonas_genic.jar
%{libdir}/common/ow_jonas.jar
%{libdir}/common/ow_jonas_jdbc_ra.jar
%{libdir}/common/ow_jonas_newbean.jar
%{libdir}/common/ow_jonas_tomcat5.jar
%{libdir}/common/ow_jonas_wsgen.jar
%{libdir}/common/ow_jonas_xml.jar
%{libdir}/common/acme/AcmeGifEncoder.jar
%doc %{libdir}/common/acme/README
%{libdir}/common/carol/ow_carol_cmic.jar
%{libdir}/common/carol/ow_carol_core.jar
%dir %{libdir}/common/carol/javagroups/
# FIXME If we escape the square brackets we get "File not found"
#%{libdir}/common/carol/javagroups/\[javagroups\].jar
# FIXME If we don't escape we get "File not found by glob"
#%{libdir}/common/carol/javagroups/[javagroups].jar
%{libdir}/common/carol/javagroups
%dir %{libdir}/common/hsqldb/
%{libdir}/common/hsqldb/hsqldb.jar
%doc %{libdir}/common/j2ee/README
%dir %{libdir}/common/j2ee/activation/
#%{libdir}/common/j2ee/activation/[activation].jar
%{libdir}/common/j2ee/activation
%dir %{libdir}/common/j2ee/ejb/
#%{libdir}/common/j2ee/ejb/[ejb].jar
%{libdir}/common/j2ee/ejb
%dir %{libdir}/common/j2ee/jms/
#%{libdir}/common/j2ee/jms/[jms].jar
%{libdir}/common/j2ee/jms
%dir %{libdir}/common/j2ee/jta/
#%{libdir}/common/j2ee/jta/[jta].jar
%{libdir}/common/j2ee/jta
%dir %{libdir}/common/j2ee/mail/
#%{libdir}/common/j2ee/mail/[javamail][imap].jar
#%{libdir}/common/j2ee/mail/[javamail][mailapi].jar
#%{libdir}/common/j2ee/mail/[javamail][smtp].jar
#%{libdir}/common/j2ee/mail/[javamail][pop3].jar
%{libdir}/common/j2ee/mail
%{libdir}/common/j2ee/connector/connector-1_5.jar
%{libdir}/common/j2ee/jacc/jacc-1_0.jar
%{libdir}/common/j2ee/jts/jts-spec1_0.jar
%{libdir}/common/j2ee/j2eemanagement/javax77.jar
%{libdir}/common/j2ee/jsp/jsp-2_0.jar
%doc %{libdir}/common/jakarta/README
%dir %{libdir}/common/jakarta/commons-beanutils/
#%{libdir}/common/jakarta/commons-beanutils/[commons-beanutils].jar
%{libdir}/common/jakarta/commons-beanutils
%dir %{libdir}/common/jakarta/commons-collections/
#%{libdir}/common/jakarta/commons-collections/[commons-collections].jar
%{libdir}/common/jakarta/commons-collections
%dir %{libdir}/common/jakarta/commons-digester/
#%{libdir}/common/jakarta/commons-digester/[commons-digester].jar
%{libdir}/common/jakarta/commons-digester
%dir %{libdir}/common/jakarta/commons-logging/
#%{libdir}/common/jakarta/commons-logging/[commons-logging].jar
%{libdir}/common/jakarta/commons-logging
%dir %{libdir}/common/jakarta/commons-modeler/
#%{libdir}/common/jakarta/commons-modeler/[commons-modeler].jar
%{libdir}/common/jakarta/commons-modeler
%{libdir}/common/jdo/jdo.jar
%dir %{libdir}/common/jonathan/
%{libdir}/common/jonathan/jonathan-core.jar
%{libdir}/common/jonathan/jeremie.jar
%{libdir}/common/jonathan/kilim.jar
%dir %{libdir}/common/jotm/
%{libdir}/common/jotm/jotm.jar
%dir %{libdir}/common/jmx/
%doc %{libdir}/common/jmx/README
#%{libdir}/common/jmx/[jmxri].jar
#%{libdir}/common/jmx/[jmxtools].jar
#%{libdir}/common/jmx/jmxremote.jar
%{libdir}/common/jmx/
%{libdir}/common/jmx/mx4j.jar
%{libdir}/common/jmx/mx4j-remote.jar
# -----------
%{libdir}/common/joram/jakarta-regexp-1.2.jar
%{libdir}/common/joram/JCup.jar
%{libdir}/common/joram/joram-client.jar
%{libdir}/common/joram/joram-connector.jar
%{libdir}/common/joram/joram-mom.jar
%{libdir}/common/joram/joram-shared.jar
%{libdir}/common/jorm/ow_jorm_api.jar
%{libdir}/common/jorm/ow_jorm_compiler.jar
%{libdir}/common/jorm/ow_jorm_core.jar
%{libdir}/common/jorm/ow_jorm_runtime.jar
%{libdir}/common/jorm/ow_perseus_cache.jar
%{libdir}/common/jorm/ow_perseus_connection_holder.jar
%{libdir}/common/log/ow_util_log_api.jar
%{libdir}/common/log/ow_util_log_core.jar
%{libdir}/common/log/ow_util_log_file.jar
%{libdir}/common/log/ow_util_log_helper.jar
%{libdir}/common/log/ow_util_log_wrp_common.jar
%{libdir}/common/log/ow_util_log_wrp_javalog.jar
%{libdir}/common/log/ow_util_log_wrp_log4j.jar
%{libdir}/common/log/ow_util_log_wrp_p6spy.jar
%{libdir}/common/log/ow_util_log_wrp_pw.jar
%{libdir}/common/log/ow_util_log_wrp_velo.jar
%{libdir}/common/medor/ow_medor.jar
%{libdir}/common/medor/ow_medor_exp.jar
%{libdir}/common/p6spy/p6spy.jar
%doc %{libdir}/common/p6spy/README
%{libdir}/common/speedo/speedo_client.jar
%{libdir}/common/speedo/speedo_for_jonas_ra.jar
%doc %{libdir}/common/velocity/README
%{libdir}/common/velocity/velocity-dep-*.jar
%doc %{libdir}/common/ws/README
%dir %{libdir}/common/ws/axis/
#%{libdir}/common/ws/axis/[axis][axis].jar
#%{libdir}/common/ws/axis/[axis][axis-ant].jar
#%{libdir}/common/ws/axis/[axis][axis-jaxrpc].jar
#%{libdir}/common/ws/axis/[axis][axis-saaj].jar
#%{libdir}/common/ws/axis/[axis][commons-discovery].jar
#%{libdir}/common/ws/axis/[axis][commons-logging].jar
%{libdir}/common/ws/axis
%{libdir}/common/ws/jaxr/castor-*-xml.jar
%{libdir}/common/ws/jaxr/fscontext.jar
%{libdir}/common/ws/jaxr/jaxr-api.jar
%{libdir}/common/ws/jaxr/jaxr-ri.jar
%doc %{libdir}/common/ws/jaxr/README
%{libdir}/common/ws/jaxr/soap.jar
%dir %{libdir}/common/ws/wsdl4j/
#%{libdir}/common/ws/wsdl4j/[wsdl4j].jar
%{libdir}/common/ws/wsdl4j
%{libdir}/common/ws/namespace/namespace.jar
%dir %{libdir}/endorsed
%doc %{libdir}/endorsed/README
#%{libdir}/endorsed/[xerces-j2].jar
#%{libdir}/endorsed/[xml-commons-apis].jar
#%{libdir}/endorsed/[xalan-j2].jar
%{libdir}/endorsed
%dir %{libdir}/ext
%doc %{libdir}/ext/README
# ---------------------
# Libraries >

%dir %{syslibdir}/%{name}

%dir %{appsdir}
%doc %{appsdir}/README
%{appsdir}/j2eemanagement.ear
%{appsdir}/ws.ear
%dir %{appsdir}/autoload
%doc %{appsdir}/autoload/README

%dir %{webappsdir}
%dir %{webappsdir}/autoload
%doc %{webappsdir}/autoload/README
%{webappsdir}/autoload/jonasAdmin.war
%{webappsdir}/autoload/ctxroot.war

# Defined in the client subpackage
#%dir %{ejbjarsdir}
%doc %{ejbjarsdir}/README
%doc %{ejbjarsdir}/autoload/README
%{ejbjarsdir}/autoload/mejb.jar

%dir %{rarsdir}
%doc %{rarsdir}/README
%{rarsdir}/joram_for_jonas_ra.rar
%{rarsdir}/speedo_for_jonas_ra.rar
%dir %{rarsdir}/autoload
%{rarsdir}/autoload/JOnAS_jdbcCP.rar
%{rarsdir}/autoload/JOnAS_jdbcDM.rar
%{rarsdir}/autoload/JOnAS_jdbcDS.rar
%{rarsdir}/autoload/JOnAS_jdbcXA.rar
%doc %{rarsdir}/autoload/README

%attr(755,root,root) %{_bindir}/jonas
%attr(755,root,root) %{_bindir}/newbean
%attr(755,root,root) %{_bindir}/registry
%attr(755,root,root) %{_bindir}/RAConfig

%files client
%defattr(0644,jonas,jonas,0755)
%dir %{jonasrootdir}/lib
%dir %{libdir}
%{libdir}/client.jar
%dir %{jonasrootdir}/clients
%dir %{clientsdir}
%doc %{clientsdir}/README
%dir %{jonasrootdir}/conf
%config %{confdir}/carol.properties
%config %{confdir}/jonas-client.properties
%config %{confdir}/jaas.config
%config %{confdir}/traceclient.properties
%attr(755,jonas,jonas) %{jonasrootdir}/bin/unix/setenv
%attr(755,jonas,jonas) %{jonasrootdir}/bin/unix/jclient
%attr(755,root,root) %{_bindir}/jclient

# Defined in the client subpackage as it is also needed on client systems
%dir %{jonasrootdir}/ejbjars
%dir %{ejbjarsdir}

%files docs
%defattr(0644,jonas,jonas,0755)
%{webappsdir}/autoload/jonas-doc-en
%{webappsdir}/autoload/tomcat-docs.war

%files examples
%defattr(0644,jonas,jonas,0755)
%dir %{jonasrootdir}/examples
%{jonasrootdir}/examples/*
%dir %{demodir}
%doc %{demodir}/README
%dir %{demodir}/logs
%doc %{demodir}/logs/README
%dir %{demodir}/apps
%doc %{demodir}/apps/README
%doc %{demodir}/apps/autoload/README
%dir %{demodir}/rars
%doc %{demodir}/rars/README
%{demodir}/rars/joram_for_jonas_ra.rar
%{demodir}/rars/speedo_for_jonas_ra.rar
%{demodir}/rars/autoload/JOnAS_jdbcCP.rar
%{demodir}/rars/autoload/JOnAS_jdbcDM.rar
%{demodir}/rars/autoload/JOnAS_jdbcDS.rar
%{demodir}/rars/autoload/JOnAS_jdbcXA.rar
%doc %{demodir}/rars/autoload/README
%dir %{demodir}/ejbjars
%doc %{demodir}/ejbjars/README
%doc %{demodir}/ejbjars/autoload/README
%{demodir}/ejbjars/autoload/mejb.jar
%dir %{demodir}/clients
%doc %{demodir}/clients/README
%dir %{demodir}/webapps
%{demodir}/webapps/juddi.war
%dir %{demodir}/webapps/autoload
%doc %{demodir}/webapps/autoload/README
%{demodir}/webapps/autoload/jonasAdmin.war
%{demodir}/webapps/autoload/ctxroot.war
%dir %{demodir}/conf
%{demodir}/conf/*
%dir %{demodir}/lib
%dir %{demodir}/lib/ext
%doc %{demodir}/lib/ext/README

%{appsdir}/alarm.ear
%{appsdir}/cmp2.ear
%{appsdir}/autoload/earsample.ear
%{clientsdir}/jaasopclient1.jar
%{clientsdir}/jaasopclient2.jar
%{clientsdir}/jaasopclient3.jar
%{ejbjarsdir}/clusterDemo.jar
%{ejbjarsdir}/eb.jar
%{ejbjarsdir}/jaasop.jar
%{ejbjarsdir}/jms.jar
%{ejbjarsdir}/lb.jar
%{ejbjarsdir}/mailsb.jar
%{ejbjarsdir}/sampleappli.jar
%{ejbjarsdir}/samplemdb.jar
%{ejbjarsdir}/newsamplemdb.jar
%{ejbjarsdir}/sb.jar

# Red Hat specific
%defattr(0644,postgres,postgres,0700)
%dir %{jonasrootdir}/pgsql

# Red Hat specific init scripts and configuration
%defattr(0655,root,root,0755)
/etc/rc.d/init.d/rhdb-jonas
%defattr(0644,root,root,0755)
%config /etc/sysconfig/rhdb-jonas
%config /etc/logrotate.d/rhdb-jonas

# -----------------------------------------------------------------------------

%changelog
* Thu Jul 28 2004 Fernando Nasser <fnasser at redhat.com> - 4.1.2-1jpp_14rh
- Always register the rhdb-jonas service with chkconfig
- Fix typo in jonas init script

* Mon Jul 26 2004 Fernando Nasser <fnasser at redhat.com> - 4.1.2-1jpp_13rh
- Require xalan-j2 to be at least 2.6.0 due to a bug in 2.5.4
- Declare version of xalan in version.properties (patch0)

* Fri Jul 23 2004 Fernando Nasser <fnasser at redhat.com> - 4.1.2-1jpp_12rh
- Modify template/conf to provide a PostgreSQL datasource

* Fri Jul 23 2004 Fernando Nasser <fnasser at redhat.com> - 4.1.2-1jpp_11rh
- Backfix for the JmsServer command

* Thu Jul 22 2004 Fernando Nasser <fnasser at redhat.com> - 4.1.2-1jpp_10rh
- Add xalan-j2 to endorsed jars
- Move pdf files to another package
- Renumber source entries.

* Tue Jul 20 2004 Fernando Nasser <fnasser at redhat.com> - 4.1.2-1jpp_9rh
- Build with tomcat5 5.0.27 due to problems with 5.0.24 and jonasAdmin
- Clean return code if service was already stopped

* Tue Jul 20 2004 Fernando Nasser <fnasser at redhat.com> - 4.1.2-1jpp_8rh
- Stop service before both updating and deleting.

* Tue Jul 20 2004 Fernando Nasser <fnasser at redhat.com> - 4.1.2-1jpp_7rh
- Stop service before installing, not before uninstalling
- Fix test for already created database

* Mon Jul 19 2004 Fernando Nasser <fnasser at redhat.com> - 4.1.2-1jpp_6rh
- Fix class loading problems

* Fri Jul 16 2004 Fernando Nasser <fnasser at redhat.com> - 4.1.2-1jpp_5rh
- Replace beta2 graphics with final ones.
- Require specific jonas version on subpackages
- Remove duplicate listing of configure files
- Add template configuration directory for Eclipse debugging
- Split build scripts patch

* Wed Jul 14 2004 Fernando Nasser <fnasser at redhat.com> - 4.1.2-1jpp_4rh
- Bump release to make build system happy.

* Mon Jul 12 2004 Fernando Nasser <fnasser at redhat.com> - 4.1.2-1jpp_3rh
- Fix test for already configured database
- Fix ownership of rars/autoload
- Create user jonas in the jonas-client subpackage, as that can be installed
  by itself (while the jonas main package depends on jonas-client)

* Wed Jul 07 2004 Fernando Nasser <fnasser at redhat.com> - 4.1.2-1jpp_2rh
- Reinstate test for already configured database.

* Wed Jul 07 2004 Fernando Nasser <fnasser at redhat.com> - 4.1.2-1jpp_1rh
- JOnAS release 1.4.2

* Mon Jul 5 2004 Permaine Cheung <pcheung at redhat.com> - 4.1.1-1jpp_4rh
- Add conf/Sybase1.properties as a config file.

* Tue Jun 29 2004 Andrew Overholt <overholt at redhat.com> - 4.1.1-1jpp_3rh
- jonas -> JOnAS in a few remaining places

* Tue Jun 29 2004 Permaine Cheung <pcheung at redhat.com> - 4.1.1-1jpp_2rh
- Fix configuration for sample database when the data directory doesn't exist.

* Fri Jun 25 2004 Fernando Nasser <fnasser at redhat.com> - 4.1.1-1jpp_1rh
- Bug fixes JOnAS release 4.1.1
- Use JMS shipped with JOnAS.
- Fix version in subpackage dependency
- Add links for utilities in /usr/bin
- Fix permission of executable scripts
- Fix duplicate error in client.jar
- Make config_env a %config so people can change it to switch JDBC drivers.

* Wed Jun 16 2004 Fernando Nasser <fnasser at redhat.com> - 4.1-1jpp_10rh
- Move jonas-client.properties back to client subpackage; needed by
  webservice clients.

* Tue Jun 15 2004 Fernando Nasser <fnasser at redhat.com> - 4.1-1jpp_9rh
- Fixes to Client subpackage contents

* Sat Jun 12 2004 Fernando Nasser <fnasser at redhat.com> - 4.1-1jpp_8rh
- Fixes to %preun script

* Sat Jun 12 2004 Fernando Nasser <fnasser at redhat.com> - 4.1-1jpp_7rh
- Move cleanup to the main package

* Fri Jun 11 2004 Fernando Nasser <fnasser at redhat.com> - 4.1-1jpp_6rh
- Move all client related things to the client subpackage

* Fri Jun 11 2004 Fernando Nasser <fnasser at redhat.com> - 4.1-1jpp_5rh
- Move cleanup files from %postun to %preun

* Fri Jun 11 2004 Fernando Nasser <fnasser at redhat.com> - 4.1-1jpp_4rh
- Move html documentation to the main package

* Wed Jun 09 2004 Fernando Nasser <fnasser at redhat.com> - 4.1-1jpp_3rh
- Fix documentation installation directory

* Mon Jun 07 2004 Fernando Nasser <fnasser at redhat.com> - 4.1-1jpp_2rh
- Mark README files as %doc
- Fix permissions of jclient.sh
- Prevent duplicate configuration of sample database

* Thu Jun 03 2004 Fernando Nasser <fnasser at redhat.com> - 4.1-1jpp_1rh
- JOnAS version 4.1
- Remove db service from list of services (HSQL should not be started)
- Rename patch file to conform to naming conventions

* Fri Apr 23 2004 Fernando Nasser <fnasser at redhat.com> - 4.0-1jpp_6rh
- Remove link to external site from the Welcome page.

* Fri Apr 23 2004 Fernando Nasser <fnasser at redhat.com> - 4.0-1jpp_5rh
- Fix directory ownerships.

* Thu Apr 22 2004 Fernando Nasser <fnasser at redhat.com> - 4.0-1jpp_4rh
- Add backfix that will be in JOnAS release 4.1
- Customize welcome page

* Mon Apr 06 2004 Fernando Nasser <fnasser at redhat.com> - 4.0-1jpp_3rh
- JOnAS release 4.0

* Mon Apr 06 2004 Fernando Nasser <fnasser at redhat.com> - 3.3.7-1jpp_1rh
- JOnAS release 3.3.7

* Mon Mar 31 2004 Fernando Nasser <fnasser at redhat.com> - 3.3.6-2jpp_12rh
- RH customization

* Mon Mar 08 2004 Guillaume Sauthier <guillaume.sauthier at objectweb.org> - 3.3.6-1jpp
- JOnAS release 3.3.6
- add jonathan dependencie
- remove privated files
- clean spec file
- jmx not included (MBeanException)

* Wed Oct 17 2003 Goulven Le Jeune <goulven.le-jeune at bull.net> - 3.3-2jpp
- Fix change log

* Thu Oct 16 2003 Goulven Le Jeune <goulven.le-jeune at bull.net> - 3.3-1jpp
- JOnAS release 3.3
- File layout change

* Tue Sep 09 2003 Goulven Le Jeune <goulven.le-jeune at bull.net> - 3.2-2jpp
- removed link from %{_javadir}

* Fri Aug 29 2003 Goulven Le Jeune <goulven.le-jeune at bull.net> - 3.2-1jpp
- initial version, JOnAS version 3.2
